use 教学成绩管理数据库
select 班级编号, a.学号, b.姓名, avg(分数) 均分
from 教学成绩表 as a 
  join 学生信息表 as b on a.学号 = b.学号
  join 课程信息表 as c on a.课程编号 = c.编号
group by 班级编号, a.学号, b.姓名
having avg(分数)>70 and 班级编号='200301 '
order by avg(分数) desc 
